package com.kdanmobile.admanager

import android.app.Activity
import android.content.Context

interface RewardedAdManager {
    var isPersonalized: Boolean
    fun request(activity: Activity, adUnitId: String)
    /**
     * Use to re-request with same activity, must be called after request(activity, adUnitId)
     */
    fun request(adUnitId: String)
    fun show(adUnitId: String): Boolean
    fun registerListener(listener: RewardedAdListener)
    fun unregisterListener(listener: RewardedAdListener)
    fun isLoading(adUnitId: String): Boolean
    fun isLoaded(adUnitId: String): Boolean

    fun pauseAll(context: Context)
    fun resumeAll(context: Context)
    fun destroyAll(context: Context)
}