package com.kdanmobile.admanager.mopub

import android.content.Context
import com.kdanmobile.admanager.AbstractAdManager
import com.mopub.common.MoPub
import com.mopub.common.SdkConfiguration

class MoPubAdManager : AbstractAdManager() {

    override fun init(context: Context, adAppId: String, adUnitId: String, volume: Float) {
        this.context = context

        val configuration = SdkConfiguration.Builder(adUnitId).build()
        MoPub.initializeSdk(context, configuration) {
            isInitialized = true
            onInitListeners.forEach {
                it.run()
            }
        }

        interstitialAdManager = MoPubInterstitialAdManager()
        nativeAdManager = MoPubNativeAdManager(context)
        rewardedAdManager = MoPubRewardedAdManager()

        onInitListeners.forEach { it.run() }
    }
}